Bug 73507 - broken tcpslice-CVS.20010207.tar.gz
Summary: broken tcpslice-CVS.20010207.tar.gz
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tcpdump (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL: http://www.tcpdump.org/
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-05 15:55 UTC by Alec Voropay
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-05 15:55:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alec Voropay 2002-09-05 15:55:17 UTC
Description of Problem:
it is impossible to build SRPM from RawHide
The archive  "tcpslice-CVS.20010207.tar.gz"   is broken !

Version-Release number of selected component (if applicable):
tcpdump-3.6.3-3.src.rpm

How Reproducible:
Try to compile tcpdump from RawHide SRPM

Steps to Reproduce:
1. cd /usr/src/redhat/SPECS
2. rpm -ba tcpdump.spec
3. 

Actual Results:
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.64000
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd /usr/src/redhat/BUILD
+ rm -rf tcpdump-3.6.3
+ /bin/mkdir -p tcpdump-3.6.3
+ cd tcpdump-3.6.3
+ /bin/gzip -dc /usr/src/redhat/SOURCES/tcpdump-3.6.2.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ /bin/gzip -dc /usr/src/redhat/SOURCES/libpcap-0.6.2.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ /bin/gzip -dc /usr/src/redhat/SOURCES/arpwatch-2.1a11.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ /bin/gzip -dc /usr/src/redhat/SOURCES/tcpslice-CVS.20010207.tar.gz
+ tar -xf -
tar: Skipping to next header

gzip: /usr/src/redhat/SOURCES/tcpslice-CVS.20010207.tar.gz: invalid compressed 
data--crc error

gzip: /usr/src/redhat/SOURCES/tcpslice-CVS.20010207.tar.gz: invalid compressed 
data--length error
tar: Error exit delayed from previous errors
error: Bad exit status from /var/tmp/rpm-tmp.64000 (%prep)



Expected Results:


Additional Information:
	
try to unpack tcpslice-CVS.20010207.tar.gz  by hands
# cd ../SOURCES/
# tar ztvf tcpslice-CVS.20010207.tar.gz
....
....
....
tar: Skipping to next header

gzip: stdin: invalid compressed data--crc error

gzip: stdin: invalid compressed data--length error
tar: Child returned status 1
tar: Error exit delayed from previous errors

Comment 1 Harald Hoyer 2002-11-05 13:49:26 UTC
$ rpmbuild --rebuild tcpdump-3.6.3-3.src.rpm
Installiere tcpdump-3.6.3-3.src.rpm
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.17138
+ umask 022
+ cd /home/harald/rpm/BUILD
+ LANG=C
+ export LANG
+ cd /home/harald/rpm/BUILD
+ rm -rf tcpdump-3.6.3
+ /bin/mkdir -p tcpdump-3.6.3
+ cd tcpdump-3.6.3
+ /usr/bin/gzip -dc /home/harald/rpm/SOURCES/tcpdump-3.6.2.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ /usr/bin/gzip -dc /home/harald/rpm/SOURCES/libpcap-0.6.2.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ /usr/bin/gzip -dc /home/harald/rpm/SOURCES/arpwatch-2.1a11.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ /usr/bin/gzip -dc /home/harald/rpm/SOURCES/tcpslice-CVS.20010207.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
++ /usr/bin/id -u



Note You need to log in before you can comment on or make changes to this bug.